Store a new memory
curl --request POST \
--url https://www.memoryplugin.com/api/memory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text": "<string>",
"bucketId": 123,
"source": "<string>"
}
'import requests
url = "https://www.memoryplugin.com/api/memory"
payload = {
"text": "<string>",
"bucketId": 123,
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text: '<string>', bucketId: 123, source: '<string>'})
};
fetch('https://www.memoryplugin.com/api/memory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"done": "ok",
"memoryId": "<string>"
}{
"error": "<string>",
"text": "<string>",
"score": 123
}{
"error": "<string>",
"text": "<string>",
"score": 123
}{
"error": "<string>",
"text": "<string>",
"score": 123
}Memory Endpoints
Create Memory
POST
/
api
/
memory
Store a new memory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The memory to be added. Always prepend with current date in YYYY-MM-DD format in the users timezone if you know it, UTC otherwise.
The id of the bucket to add the memory to. If not provided, the memory will be added to the default bucket.
Client source identifier (e.g., 'chatgpt' for ChatGPT requests)
Was this page helpful?
⌘I